Page MenuHomePhabricator

Create scaffolding for on-wiki page performance inspector
Closed, ResolvedPublic

Description

The first step for getting T117411 going is to create a well-structured
extension skeleton that can serve as a good foundation for the development
work.

This means:

  • an extension.json file
  • an i18n/ subdirectory with qqq.json / en.json
  • .jscsrc / jsduck.json / .jshintrc
  • a tests/ directory with at least:
    • one dummy PHPUnit test
    • one dummy QUnit test
  • an appropriate license
  • a stub page on mediawiki.org
  • configure CI - https://gerrit.wikimedia.org/r/256199
  • CI entry points
    • npm test (banana i18n checker, jshint, jsonlint...)
    • composer test (phplint)
  • two ResourceLoader modules:
    • one which draws an interface element that activates the interface by mw.loader.using()-ing the second module
    • the main module itself.

For guidance, Manual:Developing extensions is a good place to start. If you need an example, have a look at the MassMessage extension.

A reference repo is BoilerPlate extension.

CI entry points are listed at https://www.mediawiki.org/wiki/Continuous_integration/Entry_points

Event Timeline

ori created this task.Nov 9 2015, 6:52 PM
ori assigned this task to Peter.
ori raised the priority of this task from to Needs Triage.
ori updated the task description. (Show Details)
ori added a project: Performance-Team.
ori added subscribers: Gilles, aaron, Krinkle and 3 others.
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 9 2015, 6:52 PM
ori triaged this task as Medium priority.Nov 9 2015, 7:37 PM
ori set Security to None.
ori moved this task from Inbox to Next In This Quarter / Oct-Dec 2020 on the Performance-Team board.
ori updated the task description. (Show Details)Nov 10 2015, 1:08 AM

Change 256199 had a related patch set uploaded (by Phedenskog):
Test the PerformanceInspector extension

https://gerrit.wikimedia.org/r/256199

hashar added a subscriber: hashar.Dec 1 2015, 1:03 PM

mediawiki/extensions/BoilerPlate usually fills all your needs :-}

Change 256199 merged by jenkins-bot:
Test the PerformanceInspector extension

https://gerrit.wikimedia.org/r/256199

hashar updated the task description. (Show Details)Dec 1 2015, 1:04 PM
hashar updated the task description. (Show Details)Dec 1 2015, 1:06 PM

Change 257551 had a related patch set uploaded (by Phedenskog):
Scaffolding for the Performance Inspector

https://gerrit.wikimedia.org/r/257551

Change 257551 merged by jenkins-bot:
Scaffolding for the Performance Inspector

https://gerrit.wikimedia.org/r/257551

Change 271589 had a related patch set uploaded (by Phedenskog):
Setup resource loader modules and structure

https://gerrit.wikimedia.org/r/271589

Change 271589 merged by jenkins-bot:
Initial POC of inspector dialogs and module structure

https://gerrit.wikimedia.org/r/271589

hashar removed a subscriber: hashar.Apr 18 2016, 8:25 PM
Krinkle closed this task as Resolved.Apr 21 2016, 7:04 PM